%define upstream_name    XML-TreePP
%define upstream_version 0.43

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Pure Perl implementation for parsing/writing XML documents
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(LWP) >= 5.811.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
XML::TreePP module parses an XML document and expands it for a hash tree.
This generates an XML document from a hash tree as the opposite way around.
This is a pure Perl implementation and requires no modules depended. This
can also fetch and parse an XML document from remote web server like the
XMLHttpRequest object does at JavaScript language.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README example
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.430.0-5.mga8
+ Revision: 1498558
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.430.0-4.mga7
+ Revision: 1272800
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.430.0-3.mga6
+ Revision: 1036165
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.430.0-2.mga6
+ Revision: 965909
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 sander85 <sander85> 0.430.0-1.mga6
+ Revision: 839212
- update to 0.43

* Wed Oct 15 2014 umeabot <umeabot> 0.420.0-3.mga5
+ Revision: 745794
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.420.0-2.mga5
+ Revision: 686970
- Mageia 5 Mass Rebuild

* Fri Feb 07 2014 sander85 <sander85> 0.420.0-1.mga5
+ Revision: 585579
- update to 0.42

* Fri Oct 18 2013 umeabot <umeabot> 0.410.0-3.mga4
+ Revision: 516301
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.410.0-2.mga3
+ Revision: 375187
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.410.0-1.mga1
+ Revision: 28922
- mageia rebuild
- imported package perl-XML-TreePP


* Fri Nov 12 2010 Jérôme Quelin <jquelin@mandriva.org> 0.410.0-1mdv2011.0
+ Revision: 596713
- update to 0.41

* Mon Jul 26 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 0.390.0-4mdv2011.0
+ Revision: 560580
- perl rebuild

* Fri Mar 12 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 0.390.0-3mdv2011.0
+ Revision: 518570
- Bump release

* Sun Feb 28 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 0.390.0-2mdv2010.1
+ Revision: 512529
- New summary

* Sun Feb 28 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 0.390.0-1mdv2010.1
+ Revision: 512528
- import perl-XML-TreePP


* Sat Feb 27 2010 cpan2dist 0.39-1mdv
- initial mdv release, generated with cpan2dist
